<?php
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;

include "../brain/controller/IndexControl.inc.php";
include "../brain/controller/DashControl.inc.php";
include "../brain/controller/APIControl.inc.php";

class RouteControl
{
  public function get(
    ServerRequestInterface $request,
    ResponseInterface $response,
    array $args
  ): ResponseInterface {
    switch (isset($args["first"]) ? $args["first"] : "index") {
      case "dashboard":
        return DashControl::start($request, $response, $args);
        break;
      case "api":
        return APIControl::get($request, $response, $args);
        break;
      default:
        return IndexControl::start($request, $response, $args);
        break;
    }
  }

  public function post(
    ServerRequestInterface $request,
    ResponseInterface $response,
    array $args
  ): ResponseInterface {
    switch (isset($args["first"]) ? $args["first"] : "index") {
      case "api":
        return APIControl::post($request, $response, $args);
        break;
      default:
        //echo "YES";
        //return IndexControl::start($request, $response, $args);
        break;
    }
  }
}
